package com.myoa.engineering.sample;

import com.myoa.engineering.sample.configuration.logging.LoggingProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

@EnableConfigurationProperties
@ConfigurationPropertiesScan(basePackageClasses= {LoggingProperties.class})
@SpringBootApplication
public class SpringBootRequestResponseLoggingExampleApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpringBootRequestResponseLoggingExampleApplication.class, args);
    }

}
